/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-02-25
 * 描述            ：认证机构与认证人员信息配置
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.QcmZbsOrgMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_ZBS_ORG", namespace=QcmZbsOrgMapper.class)
public class QcmZbsOrg extends BaseVO implements Serializable {
	/** 
	 * 认证机构代码(base_info的4096)
	 */ 
	@Id
	private String org_code;
	public String getOrg_code() {
		return this.org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	/** 
	 * 认证机构描述
	 */ 
	@Column
	private String org_name;
	public String getOrg_name() {
		return this.org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	/** 
	 * 检验员姓名
	 */ 
	@Id
	private String svr_name;
	public String getSvr_name() {
		return this.svr_name;
	}
	public void setSvr_name(String svr_name) {
		this.svr_name = svr_name;
	}

	/** 
	 * 工单号
	 */ 
	@Column
	private String work_order_no;
	public String getWork_order_no() {
		return this.work_order_no;
	}
	public void setWork_order_no(String work_order_no) {
		this.work_order_no = work_order_no;
	}

	/** 
	 * 联系电话
	 */ 
	@Column
	private String tel_no;
	public String getTel_no() {
		return this.tel_no;
	}
	public void setTel_no(String tel_no) {
		this.tel_no = tel_no;
	}

	/** 
	 * 证书编号
	 */ 
	@Column
	private String cert_no;
	public String getCert_no() {
		return this.cert_no;
	}
	public void setCert_no(String cert_no) {
		this.cert_no = cert_no;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
	
	@Column
	private Integer seq;
	public Integer getSeq() {
		return seq;
	}
	public void setSeq(Integer seq) {
		this.seq = seq;
	}

	
}
